#ifndef COMMON_H
#define COMMON_H

typedef unsigned char AUDIOFMT;

#define BUF_SIZE 256*4

#define SLEEP_TIME 50000 //in microseconds

#define TCP_BOTH 1
#define NUM_PCKTS 50000

#define ADDR_SnR "192.168.0.15"     
#define ADDR_P "192.168.0.15"

#define SND_SIZE 528000 
#define RCV_SIZE 528000
#define SND_TM 1000
#define RCV_TM 1000

#define sPORT 9326
#define rPORT 4326
#define pPORT 10626

#define ECHO_MSS 528

#define PERIOD 0.8

/* if AUDIOFMT is unsigned char */
#define BUF_SIZE_BYTE (BUF_SIZE)
#define COMP_SIZE (BUF_SIZE_BYTE/2)
#define PKT_SIZE (BUF_SIZE_BYTE/2)

#define INTLV_DEGREE 1
#define INTLV_BUF_SIZE (BUF_SIZE_BYTE/INTLV_DEGREE)
#define INTLV_COMP_SIZE (COMP_SIZE/INTLV_DEGREE)

struct pkt {
  unsigned int tupleid;   // the last 1/2 bits serve as the stream identifier
  unsigned char data[INTLV_COMP_SIZE];
};

typedef struct pkt Pkt;  

/* if AUDIOFMT is short */
//#define BUF_SIZE_BYTE (BUF_SIZE*2)
//#define COMP_SIZE (BUF_SIZE_BYTE/4)

#endif
